Page MenuHomePhabricator

Migrate debian-glue jobs to Buster instances
Closed, ResolvedPublic

Description

Since T212774, jenkins-debian-glue is available on Buster. The debian-glue jobs should thus be migrated from integration-slave-jessie hosts to new instances that would be based on Buster.

Some fix might be needed in puppet as well as a specific puppet role.

Details

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 9:45 PM

Another use case is operations/debs/doxygen which uses pristine-tar for the upstream tarball but the version on Jessie does not support delta version 3:

gbp:debug: /usr/bin/pristine-tar [] ['checkout', '/srv/jenkins-workspace/workspace/debian-glue-non-voting/doxygen_1.8.16.orig.tar.gz']
pristine-tar: delta is version 3, newer than maximum supported version 2
pristine-tar: failed to generate tarball
gbp:error: Couldn't checkout "doxygen_1.8.16.orig.tar.gz": it exited with 255
Build step 'Execute shell' marked build as failure

Change 554588 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Stop using zuul-cloner in debian-glue jobs

https://gerrit.wikimedia.org/r/554588

Mentioned in SAL (#wikimedia-releng) [2019-12-04T21:47:59Z] <hashar> Updated debian glue non voting jobs to use git instead of zuul-cloner | https://gerrit.wikimedia.org/r/#/c/integration/config/+/554588/ | T224943

Change 554642 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: role for CI package_builder instances

https://gerrit.wikimedia.org/r/554642

I have created a Stretch instance integration-agent-pkgbuilder-1001 https://horizon.wikimedia.org/project/instances/b09e917a-c924-46c6-97bd-3f3fe164dc0d/

Applied role::ci::slave::package_builder from https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/554642/

It provisions properly, gotta pool it in Jenkins and verify it works all well.

Mentioned in SAL (#wikimedia-releng) [2019-12-04T22:35:57Z] <hashar> integration: added Stretch instance integration-agent-pkgbuilder-1001 for Debian glue jobs # T224943

I gave it a try with the Doxygen package. It eventually fails due to autopkgtest not being recognized by jenkins-debian-glue. That was T212773: debian-glue does not support autopkgtest version 5.

We need a more recent version of jenkins-debian-glue.

Jessie has 0.20

jenkins-debian-glue:
  Installed: 0.20.0~wmf8u1
  Candidate: 0.20.0~wmf8u1
  Version table:
 *** 0.20.0~wmf8u1 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/component/ci amd64 Packages
        100 /var/lib/dpkg/status
     0.18.4-wmf3 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/main amd64 Packages

Stretch has 0.18.2.1
Buster has 0.20.0

So maybe I should upgrade directly to Buster...

Change 554649 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: use a single label for debian packaging jobs

https://gerrit.wikimedia.org/r/554649

integration-agent-pkgbuilder-1001 rebuild with Buster.

Change 554649 merged by jenkins-bot:
[integration/config@master] jjb: use a single label for debian packaging jobs

https://gerrit.wikimedia.org/r/554649

Change 554588 merged by jenkins-bot:
[integration/config@master] Stop using zuul-cloner in debian-glue jobs

https://gerrit.wikimedia.org/r/554588

hashar renamed this task from Migrate debian-glue jobs to Stretch instances to Migrate debian-glue jobs to Buster instances.Dec 5 2019, 10:10 AM
hashar triaged this task as Medium priority.
hashar updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-releng) [2019-12-05T10:14:30Z] <hashar> Deleted integration-slave-jessie-1001 , created integration-agent-pkgbuilder-1002 # T224943

hashar closed this task as Resolved.Dec 5 2019, 10:50 AM

The jobs are now tied to the Jenkins label DebianGlue ( https://integration.wikimedia.org/ci/label/DebianGlue/ ) which is served solely by integration-agent-pkgbuilder-1001 and integration-agent-pkgbuilder-1002

There are some oddities. For example Exec[cowbuilder_init_sid-amd64 failed with:

/usr/bin/debootstrap
E: /srv/pbuilder/aptcache/buster-amd64: No such directory

It seems all the cowimage saved cache under the same directory /srv/pbuilder/aptcache/buster-amd64 when it used to be namespaced. The DIST environment variable is probably not passed properly and that fall back to the host distro (buster).

Lintian reports are no more attached to the build and the junit result file is not found.

Have to verify the backports / wikimedia packages still work fine.

hashar reopened this task as Open.Dec 5 2019, 10:54 AM

Change 554850 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: fix lintian report in debian-glue

https://gerrit.wikimedia.org/r/554850

Change 554850 merged by jenkins-bot:
[integration/config@master] jjb: fix lintian report in debian-glue

https://gerrit.wikimedia.org/r/554850

Change 554857 had a related patch set uploaded (by Jforrester; owner: Hashar):
[integration/config@master] jjb/layout: [labs/toollabs] Drop Ubuntu Trusty debian packaging jobs

https://gerrit.wikimedia.org/r/554857

Change 554857 merged by jenkins-bot:
[integration/config@master] jjb/layout: [labs/toollabs] Drop Ubuntu Trusty debian packaging jobs

https://gerrit.wikimedia.org/r/554857

Mentioned in SAL (#wikimedia-releng) [2019-12-05T19:15:20Z] <James_F> Zuul: [labs/toollabs] Drop trusty, add jessie to gate as well as test T224943

labs/toollabs.git is broken but that tracked by T239910 the source code is hardcoded to use the user home directory from /etc/passwd but pbuilder user no more has a home directory.

There is a bunch of puppet cleanup to do. Notably remove the cow images on the old jessie instances.

Change 554642 merged by Giuseppe Lavagetto:
[operations/puppet@production] contint: role for CI package_builder instances

https://gerrit.wikimedia.org/r/554642

Mentioned in SAL (#wikimedia-releng) [2019-12-06T10:34:32Z] <hashar> Purged pbuilder / cowbuilder etc from integration-slave-jessie-1002 and integration-slave-jessie-1004 # T224943

hashar closed this task as Resolved.Dec 6 2019, 10:34 AM